Package org.eclipse.birt.chart.model

# Interface ChartWithAxes

All Superinterfaces:
  `Chart`, `org.eclipse.emf.ecore.EObject`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `ChartWithAxesImpl`

public interface ChartWithAxes extends Chart
A representation of the model object 'Chart With Axes'. ChartWithAxes represents a chart with axes. (e.g. Bar Chart, Line Chart, etc).

To create an instance use the factory method:
ChartWithAxesImpl.create( );

At the moment only charts with one single base axis are supported, while one or more orthogonal axes can be associated with the base axis. In case of 3D charts, the z-axis is defined as an ancillary axis of the base axis.

Following examples show the ways to retrieve the base axis of an instance of ChartWithAxes :
ChartWithAxes cwa...
Axis axBase = cwa.getAxes( ).get( 0 );
or
Axis axBase = cwa.getAxes( ).getPrimaryBaseAxes( )[0];

To retrieve the primary orthogonal axis associated with the base axis use:
Axis axOrth = getPrimaryOrthogonalAxis( axBase );
To retireve all the orthogonal axes associated with the base axis use in/exclude the primary one use:
Axis[] axOrths = getOrthogonalAxes( axBase, bIncludePrimary );
To retrieve the z-axis use: Axis axAnci = getAncillaryBaseAxis( axBase );

The following features are supported:

- `Axes`
- `Wall Fill`
- `Floor Fill`
- `Orientation`
- `Unit Spacing`
- `Rotation`
- `Reverse Category`
- `Study Layout`

See Also:
  - `ModelPackage.getChartWithAxes()`

## Field Summary

### Fields inherited from interface org.eclipse.birt.chart.model.Chart

`VERSION`

## Method Summary

Modifier and Type
Method
Description
`ChartWithAxes`
`copyInstance()`
`Axis`
`getAncillaryBaseAxis(Axis axBase)`
This method returns the ancillary base axis for a given base axis NOTE: Manually written
`org.eclipse.emf.common.util.EList<Axis>`
`getAxes()`
Returns the value of the 'Axes' containment reference list.
`Axis[]`
`getBaseAxes()`
This method returns all base axes associated with the chart model NOTE: Manually written
`Fill`
`getFloorFill()`
Returns the value of the 'Floor Fill' containment reference.
`Orientation`
`getOrientation()`
Returns the value of the 'Orientation' attribute.
`Axis[]`
`getOrthogonalAxes(Axis axBase, boolean bIncludePrimary)`
This method returns all (primary and overlay) orthogonal axes for a given base axis If the primary orthogonal is requested for, it would be returned as the first element in the array NOTE: Manually written
`Axis[]`
`getPrimaryBaseAxes()`
This method returns all primary base axes associated with the chart model NOTE: Manually written
`Axis`
`getPrimaryOrthogonalAxis(Axis axBase)`
This method returns the primary orthogonal axis for a given base axis NOTE: Manually written
`Rotation3D`
`getRotation()`
Returns the value of the 'Rotation' containment reference.
`Series[]`
`getSeries(int iBaseOrOrthogonal)`
This method needs to be called after the chart has been populated with runtime datasets and runtime series have been associated with each of the axes.
`double`
`getUnitSpacing()`
Returns the value of the 'Unit Spacing' attribute.
`Fill`
`getWallFill()`
Returns the value of the 'Wall Fill' containment reference.
`boolean`
`isReverseCategory()`
Returns the value of the 'Reverse Category' attribute.
`boolean`
`isSetOrientation()`
Returns whether the value of the ' `Orientation`' attribute is set.
`boolean`
`isSetReverseCategory()`
Returns whether the value of the '`Reverse Category`' attribute is set.
`boolean`
`isSetStudyLayout()`
Returns whether the value of the '`Study Layout`' attribute is set.
`boolean`
`isSetUnitSpacing()`
Returns whether the value of the ' `Unit Spacing`' attribute is set.
`boolean`
`isStudyLayout()`
Returns the value of the 'Study Layout' attribute.
`boolean`
`isTransposed()`
A convenience method used to determine if the plot is transposed or not.
`void`
`setFloorFill(Fill value)`
Sets the value of the '`Floor Fill`' containment reference.
`void`
`setOrientation(Orientation value)`
Sets the value of the '`Orientation`' attribute.
`void`
`setReverseCategory(boolean value)`
Sets the value of the '`Reverse Category`' attribute.
`void`
`setRotation(Rotation3D value)`
Sets the value of the '`Rotation`' containment reference.
`void`
`setStudyLayout(boolean value)`
Sets the value of the '`Study Layout`' attribute.
`void`
`setTransposed(boolean bTransposed)`
A convenience method used to specify if the plot is transposed or not.
`void`
`setUnitSpacing(double value)`
Sets the value of the '`Unit Spacing`' attribute.
`void`
`setWallFill(Fill value)`
Sets the value of the '`Wall Fill`' containment reference.
`void`
`unsetOrientation()`
Unsets the value of the '`Orientation`' attribute.
`void`
`unsetReverseCategory()`
Unsets the value of the '`Reverse Category`' attribute.
`void`
`unsetStudyLayout()`
Unsets the value of the '`Study Layout`' attribute.
`void`
`unsetUnitSpacing()`
Unsets the value of the '`Unit Spacing`' attribute.

### Methods inherited from interface org.eclipse.birt.chart.model.Chart

`clearSections, createSampleRuntimeSeries, getBlock, getDescription, getDimension, getEmptyMessage, getExtendedProperties, getGridColumnCount, getInteractivity, getLegend, getPlot, getSampleData, getScript, getSeriesForLegend, getSeriesThickness, getStyles, getSubType, getTitle, getType, getUnits, getVersion, isSetDimension, isSetGridColumnCount, isSetSeriesThickness, isSetVersion, setBlock, setDescription, setDimension, setEmptyMessage, setGridColumnCount, setInteractivity, setSampleData, setScript, setSeriesThickness, setSubType, setType, setUnits, setVersion, unsetDimension, unsetGridColumnCount, unsetSeriesThickness, unsetVersion`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getAxes

org.eclipse.emf.common.util.EList<Axis> getAxes()
Returns the value of the 'Axes' containment reference list. The list contents are of type `Axis`. Gets the list of base axes for the chart. 'Base' axes are the Category axes for the chart if the chart has any. Each of these axes can contain zero or more 'Orthogonal' axes. Holds all the base axes for the chart.

Returns:
  the value of the 'Axes' containment reference list.
See Also:
  - `ModelPackage.getChartWithAxes_Axes()`

### getWallFill

Fill getWallFill()
Returns the value of the 'Wall Fill' containment reference. Specifies the fill to be used for the chart wall (for charts with depth).

Returns:
  the value of the 'Wall Fill' containment reference.
See Also:
  - `setWallFill(Fill)`
  - `ModelPackage.getChartWithAxes_WallFill()`

### setWallFill

void setWallFill(Fill value)
Sets the value of the '`Wall Fill`' containment reference.

Parameters:
  `value` - the new value of the 'Wall Fill' containment reference.
See Also:
  - `getWallFill()`

### getFloorFill

Fill getFloorFill()
Returns the value of the 'Floor Fill' containment reference. Specifies the fill to be used for the chart floor (for charts with depth).

Returns:
  the value of the 'Floor Fill' containment reference.
See Also:
  - `setFloorFill(Fill)`
  - `ModelPackage.getChartWithAxes_FloorFill()`

### setFloorFill

void setFloorFill(Fill value)
Sets the value of the '`Floor Fill`' containment reference.

Parameters:
  `value` - the new value of the 'Floor Fill' containment reference.
See Also:
  - `getFloorFill()`

### getOrientation

Orientation getOrientation()
Returns the value of the 'Orientation' attribute. The default value is `"Horizontal"`. The literals are from the enumeration `Orientation`. Gets the orientation of the chart as a whole. This drives the way the chart will be rendered and affects the orientations of other elements throughout the chart. Specifies whether the chart is a vertical or horizontal chart.

Returns:
  the value of the 'Orientation' attribute.
See Also:
  - `Orientation`
  - `isSetOrientation()`
  - `unsetOrientation()`
  - `setOrientation(Orientation)`
  - `ModelPackage.getChartWithAxes_Orientation()`

### setOrientation

void setOrientation(Orientation value)
Sets the value of the '`Orientation`' attribute. Sets the orientation of the chart as a whole. This drives the way the chart will be rendered and affects the orientations of other elements throughout the chart.

Parameters:
  `value` - the new value of the 'Orientation' attribute.
See Also:
  - `Orientation`
  - `isSetOrientation()`
  - `unsetOrientation()`
  - `getOrientation()`

### unsetOrientation

void unsetOrientation()
Unsets the value of the '`Orientation`' attribute.

See Also:
  - `isSetOrientation()`
  - `getOrientation()`
  - `setOrientation(Orientation)`

### isSetOrientation

boolean isSetOrientation()
Returns whether the value of the ' `Orientation`' attribute is set.

Returns:
  whether the value of the 'Orientation' attribute is set.
See Also:
  - `unsetOrientation()`
  - `getOrientation()`
  - `setOrientation(Orientation)`

### getUnitSpacing

double getUnitSpacing()
Returns the value of the 'Unit Spacing' attribute. Specifies the spacing between the last series element of one unit and the first series element of the next unit in the chart. This should be given as a percentage of the unit.

Returns:
  the value of the 'Unit Spacing' attribute.
See Also:
  - `isSetUnitSpacing()`
  - `unsetUnitSpacing()`
  - `setUnitSpacing(double)`
  - `ModelPackage.getChartWithAxes_UnitSpacing()`

### setUnitSpacing

void setUnitSpacing(double value)
Sets the value of the '`Unit Spacing`' attribute.

Parameters:
  `value` - the new value of the 'Unit Spacing' attribute.
See Also:
  - `isSetUnitSpacing()`
  - `unsetUnitSpacing()`
  - `getUnitSpacing()`

### unsetUnitSpacing

void unsetUnitSpacing()
Unsets the value of the '`Unit Spacing`' attribute.

See Also:
  - `isSetUnitSpacing()`
  - `getUnitSpacing()`
  - `setUnitSpacing(double)`

### isSetUnitSpacing

boolean isSetUnitSpacing()
Returns whether the value of the ' `Unit Spacing`' attribute is set.

Returns:
  whether the value of the 'Unit Spacing' attribute is set.
See Also:
  - `unsetUnitSpacing()`
  - `getUnitSpacing()`
  - `setUnitSpacing(double)`

### getRotation

Rotation3D getRotation()
Returns the value of the 'Rotation' containment reference. Element "Rotation" of type Rotation3D is used for 3D charts, it specifies how many degrees the chart graphic is rotated around each of the three axes.
The following example will set a 3D chart to be rotated -20 degrees around x-axis, 45 degrees around y-axis and 0 degrees around z-axis:

ChartWithAxes cwa = ...
Angle3D a3D = cwa .getRotation( ).getAngles( ) .get( 0 );
a3D.set( -20, 45, 0 );

Returns:
  the value of the 'Rotation' containment reference.
See Also:
  - `setRotation(Rotation3D)`
  - `ModelPackage.getChartWithAxes_Rotation()`

### setRotation

void setRotation(Rotation3D value)
Sets the value of the '`Rotation`' containment reference.

Parameters:
  `value` - the new value of the 'Rotation' containment reference.
See Also:
  - `getRotation()`

### isReverseCategory

boolean isReverseCategory()
Returns the value of the 'Reverse Category' attribute. The default value is `"false"`. The boolean attribute "ReverseCategory" specifies if the categories are in reverse order.

Returns:
  the value of the 'Reverse Category' attribute.
See Also:
  - `isSetReverseCategory()`
  - `unsetReverseCategory()`
  - `setReverseCategory(boolean)`
  - `ModelPackage.getChartWithAxes_ReverseCategory()`

### setReverseCategory

void setReverseCategory(boolean value)
Sets the value of the '`Reverse Category`' attribute.

Parameters:
  `value` - the new value of the 'Reverse Category' attribute.
See Also:
  - `isSetReverseCategory()`
  - `unsetReverseCategory()`
  - `isReverseCategory()`

### unsetReverseCategory

void unsetReverseCategory()
Unsets the value of the '`Reverse Category`' attribute.

See Also:
  - `isSetReverseCategory()`
  - `isReverseCategory()`
  - `setReverseCategory(boolean)`

### isSetReverseCategory

boolean isSetReverseCategory()
Returns whether the value of the '`Reverse Category`' attribute is set.

Returns:
  whether the value of the 'Reverse Category' attribute is set.
See Also:
  - `unsetReverseCategory()`
  - `isReverseCategory()`
  - `setReverseCategory(boolean)`

### isStudyLayout

boolean isStudyLayout()
Returns the value of the 'Study Layout' attribute. The boolean attribute "StudyLayout" specifies whether multiple Y axes are laid out as a Study Chart.

Returns:
  the value of the 'Study Layout' attribute.
See Also:
  - `isSetStudyLayout()`
  - `unsetStudyLayout()`
  - `setStudyLayout(boolean)`
  - `ModelPackage.getChartWithAxes_StudyLayout()`

### setStudyLayout

void setStudyLayout(boolean value)
Sets the value of the '`Study Layout`' attribute.

Parameters:
  `value` - the new value of the 'Study Layout' attribute.
See Also:
  - `isSetStudyLayout()`
  - `unsetStudyLayout()`
  - `isStudyLayout()`

### unsetStudyLayout

void unsetStudyLayout()
Unsets the value of the '`Study Layout`' attribute.

See Also:
  - `isSetStudyLayout()`
  - `isStudyLayout()`
  - `setStudyLayout(boolean)`

### isSetStudyLayout

boolean isSetStudyLayout()
Returns whether the value of the '`Study Layout`' attribute is set.

Returns:
  whether the value of the 'Study Layout' attribute is set.
See Also:
  - `unsetStudyLayout()`
  - `isStudyLayout()`
  - `setStudyLayout(boolean)`

### getBaseAxes

Axis[] getBaseAxes()
This method returns all base axes associated with the chart model NOTE: Manually written

Returns:

### getPrimaryBaseAxes

Axis[] getPrimaryBaseAxes()
This method returns all primary base axes associated with the chart model NOTE: Manually written

Returns:

### getOrthogonalAxes

Axis[] getOrthogonalAxes(Axis axBase, boolean bIncludePrimary)
This method returns all (primary and overlay) orthogonal axes for a given base axis If the primary orthogonal is requested for, it would be returned as the first element in the array NOTE: Manually written

Parameters:
  `axBase` -
Returns:

### getPrimaryOrthogonalAxis

Axis getPrimaryOrthogonalAxis(Axis axBase)
This method returns the primary orthogonal axis for a given base axis NOTE: Manually written

Parameters:
  `axBase` -
Returns:

### getAncillaryBaseAxis

Axis getAncillaryBaseAxis(Axis axBase)
This method returns the ancillary base axis for a given base axis NOTE: Manually written

Parameters:
  `axBase` -
Returns:

### getSeries

Series[] getSeries(int iBaseOrOrthogonal)
This method needs to be called after the chart has been populated with runtime datasets and runtime series have been associated with each of the axes.

Parameters:
  `iBaseOrOrthogonal` -
Returns:
  All series associated with the specified axis types

### isTransposed

boolean isTransposed()
A convenience method used to determine if the plot is transposed or not. For an orthogonal set of axes, this is determined by evaluating the 'Orientation' property. If (orientation == HORIZONTAL), the chart is transposed. NOTE: Manually written

Returns:
  A boolean indicating if the chart is transposed or not

### setTransposed

void setTransposed(boolean bTransposed)
A convenience method used to specify if the plot is transposed or not. For an orthogonal set of axes, this is determined by internally setting the 'Orientation' property. If (orientation == HORIZONTAL), the chart is transposed. NOTE: Manually written

### copyInstance

ChartWithAxes copyInstance()

Specified by:
  `copyInstance` in interface `Chart`
Specified by:
  `copyInstance` in interface `IChartObject`